"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../../lib/fs/default-fs");
const command_logger_1 = require("../../lib/logging/command-logger");
const example_1 = require("../../core/new/example");
class Example extends core_1.Command {
    async run() {
        const { args, flags } = await this.parse(Example);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new example_1.default(fs, logger).run(args, flags);
    }
}
exports.default = Example;
Example.description = example_1.default.description;
Example.examples = example_1.default.examples;
Example.flags = example_1.default.flags;
Example.args = example_1.default.args;
//# sourceMappingURL=example.js.map