"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../../lib/fs/default-fs");
const command_logger_1 = require("../../lib/logging/command-logger");
const rule_1 = require("../../core/new/rule");
class NewRule extends core_1.Command {
    async run() {
        const { args, flags } = await this.parse(NewRule);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new rule_1.default(fs, logger).run(args, flags);
    }
}
exports.default = NewRule;
NewRule.description = rule_1.default.description;
NewRule.examples = rule_1.default.examples;
NewRule.flags = rule_1.default.flags;
NewRule.args = rule_1.default.args;
//# sourceMappingURL=rule.js.map