import FS from '../lib/fs/fs';
import Logger from '../lib/logging/logger';
export default class LintCore {
    fs: FS;
    logger: Logger;
    constructor(fs: FS, logger: Logger);
    static description: string;
    static examples: string[];
    static flags: {
        location: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    static args: never[];
    run(flags: any): Promise<void>;
}
