import FS from '../lib/fs/fs';
import Logger from '../lib/logging/logger';
export default class TraceCore {
    fs: FS;
    logger: Logger;
    constructor(fs: FS, logger: Logger);
    static description: string;
    static examples: string[];
    static flags: {
        location: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        aggregate: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        negate: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(args: any, flags: any): Promise<void>;
}
