"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
var core_1 = require("@oclif/core");
Object.defineProperty(exports, "run", { enumerable: true, get: function () { return core_1.run; } });
const project_generator_1 = require("./lib/commands/project-generator");
const rule_tester_1 = require("./lib/commands/rule-tester");
const rule_tester_result_1 = require("./lib/commands/rule-tester-result");
const rule_dir_1 = require("./lib/rule-dir");
const validator_report_1 = require("./lib/validator-report");
const build_1 = require("./lib/commands/build");
const rule_creator_1 = require("./lib/commands/rule-creator");
const example_creator_1 = require("./lib/commands/example-creator");
const trace_1 = require("./lib/commands/trace");
exports.default = {
    ProjectGenerator: project_generator_1.default,
    RulesetTester: rule_tester_1.default,
    RuleTesterResult: rule_tester_result_1.default,
    RuleDir: rule_dir_1.default,
    ValidatorReport: validator_report_1.default,
    Build: build_1.default,
    RuleCreator: rule_creator_1.default,
    ExampleCreator: example_creator_1.default,
    TraceRunner: trace_1.default,
};
//# sourceMappingURL=index.js.map