"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestResult = exports.Diff = void 0;
class Diff {
    constructor(expected, current) {
        this._expected = expected;
        this._current = current;
    }
    get expected() {
        return this._expected;
    }
    get current() {
        return this._current;
    }
}
exports.Diff = Diff;
class TestResult {
    constructor(location, diffs) {
        this._location = location;
        this._diffs = diffs;
    }
    get location() {
        return this._location;
    }
    get diff() {
        return this._diffs;
    }
}
exports.TestResult = TestResult;
//# sourceMappingURL=diff.js.map