import { AmfModel, TermMatch } from '../model/amf-model';
interface ListDefinitionResult {
    success: boolean;
    message: string;
}
export default class Linter {
    termErrorMessage(error: TermMatch): string;
    lintProfileTerms(profile: any): Record<string, TermMatch>;
    checkRuleDefinitions(profileNode: any): ListDefinitionResult;
    lintTraverse(profileNode: any, amfModel: AmfModel, acc?: Record<string, TermMatch>): Record<string, TermMatch>;
    private lintClassTerm;
    private lintPropertyPathTerm;
}
export {};
