import FS from '../fs/fs';
import Logger from '../logging/logger';
export default class ModelGenerator {
    fs: FS;
    logger: Logger;
    constructor(fs: FS, logger: Logger);
    private generateModels;
    private shouldValidate;
    private generateModel;
    dumpFiltered(location: string, filter?: string): Promise<void>;
    dumpSingle(location: string, name: string, id: string): Promise<void>;
}
