import FS from '../fs/fs';
import Logger from '../logging/logger';
export default class ProfileImporter {
    profilePath: string;
    workspacePath: string;
    logger: Logger;
    fs: FS;
    shouldScaffoldExamples: boolean;
    constructor(profilePath: string, workspacePath: string, shouldScaffoldExamples: boolean, logger: Logger, fs: FS | undefined);
    import(): void;
    private getRulesetInstance;
    private generateFiles;
    private scaffoldExamplesForRule;
}
