import FS from '../fs/default-fs';
import Config from '../config-loader';
import Logger from '../logging/logger';
export default class RuleCreator {
    location: string;
    name: string;
    level: string;
    message: string;
    logger: Logger;
    fs: FS;
    config: Config;
    constructor(location: string, name: string, level: string | undefined, message: string | undefined, logger: Logger | undefined, fs: FS | undefined);
    create(): void;
    private checkPresent;
    fillTemplate(template: string): string;
}
