import FS from '../fs/fs';
import { TestResult } from './diff';
import Logger from '../logging/logger';
export default class TestRunner {
    debug: boolean;
    fs: FS;
    skip: boolean;
    location: string;
    filter: string;
    logger: Logger;
    renderFiles: boolean;
    constructor(location: string, fs: FS, debug: boolean, skip: boolean, filter: string, logger: Logger, renderFiles?: boolean);
    run(): Promise<TestResult[]>;
    private runTest;
    private checkTestResult;
    private isPositive;
    private renderResult;
}
