import { ResourceLoader, AMLDialectInstanceResult } from 'anypoint-apb';
import { Dialect, DialectInstance } from 'anypoint-apb';
export default class AMLParser {
    static parseWithDialect(dialectUrl: string, url: string, rl: ResourceLoader): Promise<AMLDialectInstanceResult>;
    static parseDialect(dialectUrl: string, rl: ResourceLoader): Promise<Dialect>;
    static parseInstance(dialect: Dialect, rl: ResourceLoader, rulesetUrl: string): Promise<AMLDialectInstanceResult>;
    static renderInstance(dialect: Dialect, dialectInstance: DialectInstance): string;
}
