import { ResourceLoader } from 'anypoint-apb';
export declare abstract class SpecClient<T> {
    protected rl: ResourceLoader | undefined;
    abstract parse(url: string): Promise<T>;
    abstract render(element: T, framed: boolean, sourceMaps: boolean): Promise<string>;
    generateGraph(url: string, framed: boolean, sourceMaps: boolean): Promise<string>;
    withResourceLoader(rl: ResourceLoader): this;
}
