import { Node } from './node';
import { ValidatorLocation } from '../validator-report';
export declare class Proof {
    get validation(): string;
    private _validation;
    private level;
    private message;
    location: ValidatorLocation;
    nodes: Node[];
    constructor(validation: string, level: string, message: string, location: ValidatorLocation);
    compact(): void;
    merge(other: Proof): Proof;
    print(conformance: boolean): string;
}
