import { Constraint } from './constraint';
import { ValidatorLocation } from '../validator-report';
export declare class Property {
    get path(): string;
    private _path;
    location: ValidatorLocation;
    constraints: Constraint[];
    constructor(path: string, location: ValidatorLocation);
    merge(other: Property): void;
    print(conformance: boolean, indentation: string, isLastProperty?: boolean): string;
}
