"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../lib/fs/default-fs");
const clean_1 = require("../core/clean");
const command_logger_1 = require("../lib/logging/command-logger");
class Clean extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Clean);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new clean_1.default(fs, logger).run(flags);
    }
}
exports.default = Clean;
Clean.description = clean_1.default.description;
Clean.examples = clean_1.default.examples;
Clean.flags = clean_1.default.flags;
Clean.args = clean_1.default.args;
//# sourceMappingURL=clean.js.map