"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const import_1 = require("../core/import");
const command_logger_1 = require("../lib/logging/command-logger");
const default_fs_1 = require("../lib/fs/default-fs");
class Import extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Import);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new import_1.default(fs, logger).run(flags);
    }
}
exports.default = Import;
Import.examples = import_1.default.examples;
Import.flags = import_1.default.flags;
Import.args = import_1.default.args;
//# sourceMappingURL=import.js.map