import { Command } from '@oclif/core';
export default class NewRule extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        severity: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        message: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        location: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(): Promise<void>;
}
