"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const test_1 = require("../core/test");
const command_logger_1 = require("../lib/logging/command-logger");
const default_fs_1 = require("../lib/fs/default-fs");
class Test extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Test);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new test_1.default(fs, logger).run(flags);
    }
}
exports.default = Test;
Test.description = test_1.default.description;
Test.examples = test_1.default.examples;
Test.flags = test_1.default.flags;
Test.args = test_1.default.args;
//# sourceMappingURL=test.js.map