import { Command } from '@oclif/core';
export default class Trace extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        location: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        aggregate: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        negate: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(): Promise<void>;
}
