import FS from '../lib/fs/fs';
import Logger from '../lib/logging/logger';
export default class ImportCore {
    fs: FS;
    logger: Logger;
    constructor(fs: FS, logger: Logger);
    static examples: never[];
    static flags: {
        location: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        targetLocation: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        omitExamples: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: never[];
    run(flags: any): Promise<void>;
}
