import FS from '../../lib/fs/fs';
import Logger from '../../lib/logging/logger';
export default class ExampleCore {
    fs: FS;
    logger: Logger;
    constructor(fs: FS, logger: Logger);
    static description: string;
    static examples: string[];
    static flags: {
        format: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        location: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        only: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(args: any, flags: any): Promise<void>;
}
