import FS from '../fs/default-fs';
import Logger from '../logging/logger';
export default class Build {
    location: string;
    logger: Logger;
    fs: FS;
    constructor(location: string, logger: Logger, fs: FS | undefined);
    build(): Promise<void>;
    private lintProfile;
    private rulesetToString;
    private consolidateRuleset;
    private buildRuleset;
    private getRulesetTagsFromConfig;
    private addObjects;
    private accumulatedRules;
}
