import FS from '../fs/fs';
import Logger from '../logging/logger';
export default class ProjectGenerator {
    name: string;
    prefix: string;
    logger: Logger;
    fs: FS;
    defaultSpec: string;
    ruleNameProfile: string | undefined;
    constructor(name: string, prefix: string, logger: Logger, fs: FS | undefined, defaultSpec: string | undefined, ruleNameProfile: string | undefined);
    generate(): Promise<void>;
}
