import RuleDir from '../rule-dir';
import FS from '../fs/fs';
import RuleTesterResult from './rule-tester-result';
import Logger from '../logging/logger';
export default class RulesetTester {
    ruleDir: RuleDir;
    debug: boolean;
    filter: string;
    logger: Logger;
    skipValidation: boolean;
    lexicalInfo: boolean;
    fs: FS;
    constructor(ruleDir: RuleDir, debug: boolean, lexicalInfo: boolean, filter: string, logger: Logger, skipValidation: boolean, fs: FS);
    private shouldValidate;
    private getExamples;
    private parseInput;
    test(): Promise<Array<RuleTesterResult | undefined>>;
}
