import { DialectDomainElement, DialectInstance, NodeMapping } from 'anypoint-apb';
export default class RulesetPartitioner {
    validations: DialectDomainElement[];
    infoIndex: string[];
    warningIndex: string[];
    profileMapping: NodeMapping;
    tags: string[] | undefined;
    name: string;
    dialectId: string;
    constructor(profile: DialectInstance);
    static VALIDATIONS_PROPERTY_TERM: string;
    static WARNING_PROPERTY_TERM: string;
    static INFO_PROPERTY_TERM: string;
    static TAGS_TERM: string;
    static VIOLATION_PROPERTY_TERM: string;
    static CORE_NAME: string;
    static AMF_CORE_NAME: string;
    run(): RulesetImporterResult[];
    private generateRulesetFrom;
}
export declare class RulesetImporterResult {
    instance: DialectInstance;
    name: string;
    constructor(instance: DialectInstance, name: string);
}
