import FS from '../fs/default-fs';
import { Proof } from '../traces/proof';
import Logger from '../logging/logger';
export default class TraceRunner {
    location: string;
    logger: Logger;
    id: string;
    ruleName: string;
    conformance: boolean;
    fs: FS;
    constructor(location: string, id: string, ruleName: string, conformance: boolean, logger: Logger, fs: FS | undefined);
    trace(compact: boolean, lexicalInfo?: boolean): Promise<Proof[]>;
}
