import FS from './fs/fs';
export default class Config {
    main: string;
    name: string;
    ruleProfileName: string;
    version: string | undefined;
    classifier: string;
    defaultSpec: string;
    rulesetConfig: {
        tags: string[];
        documentation: string;
    };
    private constructor();
    static fromFile(fs: FS, prefix: string): Config;
}
