/// <reference types="node" />
import FS from './fs';
import { Stats, CopySyncOptions } from 'node:fs';
/**
 * File manipulation functions over the ruleset project
 */
export default class DefaultFs implements FS {
    mkdirSync(path: string): void;
    cpSync(path: string, target: string, opts?: CopySyncOptions): void;
    statSync(dir: any): Stats;
    readdirSync(file: string): string[];
    existsSync(file: string): boolean;
    listDirectory(dir: string): Array<string>;
    loadFile(f: string): string;
    writeFileSync(file: string, data: string): void;
    readFileSync(file: string): string;
}
