"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CommandLogger {
    constructor(command) {
        this.command = command;
    }
    error(message) {
        this.command.error(message);
    }
    log(message) {
        this.command.log(message);
    }
    warning(message) {
        this.command.warn(message);
    }
}
exports.default = CommandLogger;
//# sourceMappingURL=command-logger.js.map