"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Position = void 0;
class Position {
    constructor(line, column) {
        this._line = line;
        this._column = column;
    }
    get column() {
        return this._column;
    }
    set column(value) {
        this._column = value;
    }
    get line() {
        return this._line;
    }
    compareTo(other) {
        if (this._line < other._line) {
            return -1;
        }
        if (this._line > other._line) {
            return 1;
        }
        if (this._column < other._column) {
            return -1;
        }
        if (this._column > other._column) {
            return 1;
        }
        return 0;
    }
}
exports.Position = Position;
//# sourceMappingURL=position.js.map