import { AmfModel } from './model/amf-model';
import ValidatorReport from './validator-report';
import { Proof } from './traces/proof';
export declare class ProofBuilder {
    private report;
    private model;
    private normalized;
    constructor(result: ValidatorReport, model: AmfModel, normalized: any);
    private normalizedNode;
    private nodeInfo;
    build(compact: boolean): Proof[];
    private buildProof;
    private buildNode;
    private buildTrace;
    private idForNode;
    private nestNode;
    private collectProperties;
}
