import { Dialect, DialectInstance } from 'anypoint-apb';
import AmfReport from '../../amf-report';
import FS from '../../fs/fs';
export default class ProfileClient {
    private static dialect;
    static parseDialect(): Promise<Dialect>;
    static getDialect(): Promise<Dialect>;
    static parseRuleset(url: string, fs: FS, error?: (message: string) => void): Promise<AmfReport>;
    static renderRuleset(dialectInstance: DialectInstance): Promise<string>;
}
