import { Node } from './node';
import { ValidatorLocation } from '../validator-report';
export declare class Link {
    get path(): string;
    private component;
    private _path;
    private successful;
    private failed;
    private cardinality;
    private negated;
    location: ValidatorLocation;
    nodes: Node[];
    constructor(path: string, successful: number, failed: number, cardinality: number, component: string, negated: boolean, location: ValidatorLocation);
    merge(other: Link): void;
    compact(): void;
    print(conformance: boolean, indentation: string, isLastLink?: boolean): string;
}
