import { Property } from './property';
import { Link } from './link';
import { ValidatorLocation } from '../validator-report';
export declare class Node {
    get name(): string;
    private _name;
    private type;
    location: ValidatorLocation;
    links: Link[];
    properties: Property[];
    constructor(name: string, type: string, location: ValidatorLocation);
    merge(other: Node): void;
    compact(): void;
    print(conformance: boolean, indentation: string, isLastNode?: boolean): string;
}
