"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class PromisesUtils {
    static seqProms(tasks, acc) {
        return new Promise((resolve, reject) => {
            if (tasks.length === 0) {
                resolve(acc);
            }
            const nextTask = tasks.pop();
            nextTask().then(nextResult => {
                acc.push(nextResult);
                this.seqProms(tasks, acc).then(resolve).catch(reject);
            }).catch(reject);
        });
    }
}
exports.default = PromisesUtils;
//# sourceMappingURL=promises-utils.js.map